/******************************************************************************
	Smaller Installer  1993 Bill Goodman, All Rights Reserved
*******************************************************************************

	This header defines the Installer Hook Procedure interface.

******************************************************************************/


/******************************************************************************
	Installer Hook Parameter Block Definition
******************************************************************************/
typedef struct
	{
	short function;				/* Function to perform: */
#define siHookSetTargetVol			1	/* Set target volume */
#define siHookBeginInstall			2	/* Begin install */
#define siHookEndInstall			3	/* End install */

	short targetVRefNum;			/* Volume reference number of target volume */

	short groupAPFlags;			/* Group A-P flags (MSB:P -- LSB:A) */
	short groupQUSel;				/* Group Q-U selector (0:Q -- 4:U) */
	short groupVZSel;				/* Group V-Z selector (0:V -- 4:Z) */

	short completionSts;			/* Completion status for EndInstall */
#define siHookComplete				0	/* Install completed without error */
#define siHookFileSkipped			1	/* Install completed but some files were skipped */
#define siHookAborted				2	/* Install was aborted due to errors or user cancellation */

	short result;					/* Returned result */
#define siHookNoErr					0	/* No error */
#define siHookAbort					1	/* Error - abort installation */
	} SIHookParmBlk;


/******************************************************************************
	Hook Procedure Definition
******************************************************************************/
typedef pascal void (*SIHookProcPtr)(SIHookParmBlk *parmBlk);